Smart Reminders
Get reminder details and stage delivery statuses
GET
Retrieves the status of all scheduled alert stages and execution logs for a reminder.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
id*stringFormat
uuidReminder details with individual stage statuses
application/json- response
status?stringdata?curl -X GET 'https://api.smspro.com/api/v1/public/reminders/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "status": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "recipientPhone": "string", "senderId": "string", "eventTitle": "string", "eventTime": "2019-08-24T14:15:22Z", "status": "string", "stages": [ { "offset": "string", "status": "string", "dispatchedAt": "2019-08-24T14:15:22Z" } ] }}